## Delete a company **delete** `/v2/companies/{id}` Deletes a company by its Featurebase ID. This will also remove the company from all linked users' associations. ### Path Parameters - `id` - The Featurebase internal ID of the company (MongoDB ObjectId) ### Response Returns a deletion confirmation object: ```json { "id": "507f1f77bcf86cd799439011", "object": "company", "deleted": true } ``` ### Error Responses - **404 Not Found** - Company with the specified ID does not exist ### Version Availability This endpoint is only available in API version 2026-01-01.nova and newer. ### Path Parameters - `id: string` The Featurebase internal ID of the company (MongoDB ObjectId) ### Header Parameters - `"Featurebase-Version": optional "2026-01-01.nova" or "2025-12-12.clover"` - `"2026-01-01.nova"` - `"2025-12-12.clover"` ### Returns - `DeletedCompany object { id, deleted, object }` - `id: string` Unique identifier of the deleted company - `deleted: true` Indicates the resource was deleted - `true` - `object: "company"` Object type identifier - `"company"` ### Example ```http curl https://do.featurebase.app/v2/companies/$ID \ -X DELETE \ -H "Authorization: Bearer $FEATUREBASE_API_KEY" ``` #### Response ```json { "id": "507f1f77bcf86cd799439011", "deleted": true, "object": "company" } ```